class SnakemakeUtils:

    def __init__(self, samples):
        self.samples = samples

    def get_inputs_fastq(self, wildcards):
        fastq = []
        files = self.samples[wildcards.sample]
        fastq.append(files["reads1"])
        if "reads2" in files:
            fastq.append(files["reads2"])
        return {"fastq": fastq}
